## kopanocore 8.7.0

=== ECtools/backup/requirements.txt ===
MAPI
bsddb3
kopano
