=== ECtools/rest/requirements.txt ===
falcon
prometheus_client
setproctitle
bjoern
bsddb3
ujson
pytz
dateutil
requests
kopano
MAPI
jsonschema
