=== ECtools/spamd/requirements.txt ===
kopano
bsddb3
