## kopanocore 8.1.0

=== debian/changelog ===
kopanocore (8.1.0-3ubuntu5) artful; urgency=medium

  * No-change rebuild for GCC 7 abi mangling change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Aug 2017 15:18:15 +0000

kopanocore (8.1.0-3ubuntu4) artful; urgency=medium

  * Cherrypick upstream patch to fix ftbfs with new libmime.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Jul 2017 17:53:49 +0100

kopanocore (8.1.0-3ubuntu3) artful; urgency=medium

  * Rebuild against new libgsoap-2.8.49.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 08:30:35 +0200

kopanocore (8.1.0-3ubuntu2) artful; urgency=medium

  * No-change rebuild against libvmime1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Jun 2017 08:21:24 +0000

kopanocore (8.1.0-3ubuntu1) artful; urgency=medium

  * d/control, d/rules: bump version to PHP 7.1.
  * d/p/OpenSSL-Make-SSLv2-conditional.patch
    - Fix logical error in patch (Debian Bug: #861849).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 03 May 2017 15:19:27 -0700

kopanocore (8.1.0-3) unstable; urgency=medium

  [ Guido Günther ]
  * [6480d2c] Add db_stop calls to avoid hangs in postinst
  * [8dc1334] autopkgtests: Move test output past package installation so it's
    simpler to grasp whats being tested.

  [ Mark Dufour ]
  * [e6170d3] debian/copyright: add some still missed files.
    Copyright information for some subfolders in swig/ differs from the other
    Kopano source files.
    Some parts of swig/python/kopano/kopano/__init__.py are written by other
    authors than Kopano.
    Reorder the licenses in alphabetical order.
  * [a9b88b0] rename package kopano-search-plus to kopano-search.

  [ Carsten Schoenert ]
  * php7.0-mapi: use dh-php.
  * [85aec63] Fix segfault on cleanup. New patch:
    remove-undocummented-sk_SSL_COMP_free-call.patch

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Jan 2017 13:59:07 +0100

kopanocore (8.1.0-2) unstable; urgency=medium

  [ Guido Günther ]
  * [d8ac69c] Add README.source
  * [43106e0] Add links to alioth and upstream
  * [b673725] gbp.conf: Switch to upstream/latest
  * [4793176] autopkgtests: install kopano-backup and be less verbose
  * [4ca7a79] Unbreak backup test by using an existing user

  [ Mark Dufour ]
  * [51b8d14] add basic user backup/restore test for kopano-backup
  * [9490f3d] kopanocore: enable configure switch for using PHP7.

  [ Carsten Schoenert ]
  * [bdac342] kopano-utils.install: Install kopano-cachestat
    (Closes: #842357)
  * [5d9e3a0] d/rules: be less verbose while dh_install.
  * [6fabdfa] d/control: update mysql-client related Build-Depends.
  * [45912cb] d/control: adding some versioned depends on lsb-base.
  * [2263a17] d/control: update Recommends and Depends on mysql-{client,server}
  * [decea40] kopano-*.{install,links}: moving dh sequencer more to M-A.
  * [538c362,a8617f1] Update patches:
       Replace use-changed-function-name-after-gsoap-2.8.35.patch
       with build-support-gsoap-2.8.36.patch from upstream
    New patches:
       - fixup-spelling-issues-against-8.1.0.patch
       - kopano-cachestat-update-docstring-remove-diff-function.patch
       - adjust-search-path-for-php-config-script-on-php7.0.patch
       - change-shebang-to-usr-bin-php7.0.patch
       - OpenSSL-Make-SSLv2-conditional.patch
  * [d43221d] Add lintian override for 'Nam' which is a Vietnamese word
  * [a02a65f,82b7164,9940348] Swith to PHP7

 -- Guido Günther <agx@sigxcpu.org>  Sun, 25 Dec 2016 19:52:54 +0100

kopanocore (8.1.0-1) unstable; urgency=medium

  [ Jelle van der Waa ]
  * [d221042] Do not install non-existant zarafa-ws initscripts

  [ Carsten Schoenert ]
  * [9ec08e8] d/copyright: add missed info for MIT licensed file.
    Thanks: Luke Faraone
  * [043d4ba] d/copyright: restructure the Expat license
  * [08659c2] d/copyright: add MPL-1.1 license text
  * [d09487c] d/gbp.conf: add content to filter for import
  * [090b6ee] Import Upstream version 7.2.3.657+dfsg1
  * [fb14761] Update patches:
    added:
       adding-.NOTPARALLEL-target-to-swig-python-Makefiel.am.patch
       adding-additional-c-flags-for-C-11.patch
       adding-additional-changes-due-gsoap-2.8.30.patch
       bash-completion-remove-shebang-from-file.patch
       use-changed-function-name-after-gsoap-2.8.35.patch
    removed:
       Remove-archiver-related-code.patch
       Remove-references-to-licensed.patch
       Rename-libmapi-to-libzarafa_mapi.patch
       adding-additional-c-flags-for-C-11.patch
       adding-additional-changes-due-gsoap-2.8.30.patch
    changed patches (partially adopted upstream):
       Be-pessimistic-about-daemon-startup.patch
       Run-deamons-as-user-group-kopano.patch
  * [3995a58] debian/control: add xmlto to Build-Depends
  * [494dbd0] debian/zarafa-libs.install: add new libzcp_py*.so.* libs
  * [f99ae76] debian/zarafa-dev.install: add new libzcp_py*.so libs
  * [24f145d] debian/rules: override for dh_shlibdeps.  Otherwise not all
    related libraries will be found.
  * [6e0e785] debian/gbp.conf: prepare config for kopano 8.0
  * [f17c04f] Import upstream version 8.0.1
  * [754d187] debian/control: switch from Zarafa to Kopano naming.
  * [8647842] debian/compat: use dh 9 compat
  * [57292e9] debian/copyright: update based on recent upstream version
  * [5ad12a7] debian/rules: adopt zarafa to kopano specific name change.
  * [69a6e97] debian/rules: enable the hardening functionality (partially)
  * [184d3a8] kopano-server: create /var/run/kopano before starting.
  * [5826098] kopano-server: applying M-A paths for plugins in server.cfg.
  * [b18ddf1] debian/kopano-server: remove no longer used directory.
  * [42c6766] New upstream version 8.1.0
  * [38bcad1] debian/control: add versioned B-D if libgsoap-dev.

  [ Guido Günther ]
  * [1f9d92d] Ship kopano-backup as well
  * [985bed1] Ship kopano-archiver as well
  * [4423913] d/control: Remove unneeded Testsuite: field
  * [1a8d414] d/control: Rename to Kopano Core
  * [cc5f0a1] Drop debug package in favour of autogenerated dbgsyms

