=== debian/control ===
Source: kopanocore
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
 Matthias Geerdsen <matthias@vorlons.info>,
 Mark Dufour <m.dufour@zarafa.com>,
 Guido Günther <agx@sigxcpu.org>
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1:1.9),
 autotools-dev,
 binutils (>= 2.12.90.0.9),
 bison,
 debhelper (>= 9.20160115),
 default-libmysqlclient-dev,
 dh-autoreconf,
 dh-exec,
 dh-php,
 dh-systemd (>= 1.5),
 dpkg-dev (>= 1.16.1~),
 flex,
 gettext,
 gsoap,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-thread-dev,
 libcurl4-openssl-dev,
 libgoogle-perftools-dev,
 libgsoap-dev (>= 2.8.35),
 libical-dev,
 libicu-dev,
 libkrb5-dev,
 libldap2-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpam0g-dev,
 libssl-dev,
 libtool (>= 1.5),
 libvmime-dev,
 libxml2-dev,
 m4,
 php7.1-dev,
 pkg-config (>= 0.18),
 python-dev,
 swig,
 uuid-dev,
 xmlto,
 zlib1g-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-giraffe/kopanocore.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-giraffe/kopanocore.git/
Homepage: https://download.kopano.io/community/
X-Python-Version: 2.7

Package: kopano-libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Complete and feature rich groupware solution - Free/Busy library
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the shared libraries of server and client.

Package: kopano-core
Architecture: all
Depends: kopano-server (>= ${source:Version}),
 kopano-archiver (>= ${source:Version}),
 kopano-backup (>= ${source:Version}),
 kopano-utils (>= ${source:Version}),
 kopano-monitor (>= ${source:Version}),
 kopano-spooler (>= ${source:Version}),
 kopano-dagent (>= ${source:Version}),
 kopano-ical (>= ${source:Version}),
 kopano-gateway (>= ${source:Version}),
 kopano-search (>= ${source:Version}),
 ${misc:Depends},
Suggests: kopano-webapp
Description: Metapackage for the Kopano Core
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This metapackage contains the dependencies to pull in all important parts of
 Kopano Core.

Package: kopano-archiver
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (>= ${source:Version})
Description: Complete and feature rich groupware solution - archiver
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the archiver.

Package: kopano-backup
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python,
 python-kopano (>= ${source:Version}),
 kopano-common (>= ${source:Version})
Description: Complete and feature rich groupware solution - backup
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the backup facilities.

Package: kopano-common
Architecture: any
Depends: ${misc:Depends},
 adduser,
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - common files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains some files common to all packages.

Package: kopano-contacts
Architecture: any
Depends: ${shlibs:Depends},
 locales,
 ${misc:Depends},
Description: Complete and feature rich groupware solution - contact mapi provider
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides adding contact folders in the addressbook.

Package: kopano-dev
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Description: C++ Development files and libraries for Kopano Core
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides development files to create programs for use with Kopano
 Core.

Package: kopano-dagent
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 php7.1-mapi (= ${binary:Version}),
 php-cli,
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - delivery agent
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email delivery agent that delivers incoming
 email from you SMTP server to the Kopano server.

Package: kopano-gateway
Architecture: any
Suggests: python-mapi
Depends: ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 ${misc:Depends},
Description: Complete and feature rich groupware solution - POP3 and IMAP gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the POP3 and IMAP protocols.

Package: kopano-ical
Architecture: any
Depends: ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 ${misc:Depends},
Description: Complete and feature rich groupware solution - CalDAV and CalDAV gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the CalDAV and CardDAV protocols.

Package: kopano-l10n
Architecture: all
Depends: locales,
 ${misc:Depends},
Description: Complete and feature rich groupware solution - l10n files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the translations in several languages.

Package: kopano-monitor
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 php7.1-mapi (= ${binary:Version}),
 php-cli,
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - quota monitor
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the quota monitor that checks stores for total usage
 and alerts users by email.

Package: kopano-search
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 bash (>= 3.0),
 catdoc,
 coreutils (>= 5.93),
 file,
 gawk,
 lsb-base,
 mktemp (>= 1.5),
 poppler-utils,
 python,
 python-xapian,
 python-kopano (>= ${source:Version}),
 unzip,
 w3m,
 xsltproc,
 kopano-common (>= ${source:Version})
Description: Complete and feature rich groupware solution - indexer
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the search indexer using xapian.

Package: kopano-server
Architecture: any
Depends: ${shlibs:Depends},
 dbconfig-common,
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 mariadb-client | default-mysql-client | virtual-mysql-client,
 ${misc:Depends},
Recommends: mariadb-server | default-mysql-server
Description: Complete and feature rich groupware solution - server component
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the core server component that connects to gateways
 (like the imap gateway) or the web gui connect to.

Package: kopano-spooler
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - email spooler
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email spooler that forwards emails from the
 Kopano server to an SMTP server.

Package: kopano-utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python,
Description: Complete and feature rich groupware solution - admin tools
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the command line tools for server administration.

Package: python-mapi
Architecture: any
Section: python
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python:Depends},
XB-Python-Version: ${python:Versions}
Description: Complete and feature rich groupware solution - Python MAPI bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create Python programs which use MAPI
 calls to interact with Kopano.

Package: python-kopano
Architecture: all
Section: python
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python:Depends},
 python-mapi,
XB-Python-Version: ${python:Versions}
Description: Complete and feature rich groupware solution - Python bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create Python programs which access the
 Kopano server using a higher level abstraction than python-mapi
 provides.

Package: php7.1-mapi
Architecture: any
Section: php
Depends: ${shlibs:Depends},
 ${php:Depends},
 ${misc:Depends},
Description: Complete and feature rich groupware solution - PHP MAPI bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create PHP programs which use MAPI
 calls to interact with Kopano.
