## kopanocore 8.5.5

=== debian/changelog ===
kopanocore (8.5.5-0ubuntu1) bionic; urgency=medium

  * Merge with Debian 8.5.4-1 and upstream 8.5.5 (LP: #1758020).
    Remaining changes:
    - d/control: add a transitional package for the php7.1-mapi to
      php-mapi rename (can be dropped >18.04) (LP 1733572).
  * Dropped Changes (in Debian):
    - allow to read (file_mprotect) for kopano-server
    - allow server to reach mysql.sock (follow disconnects)
    - d/apparmor/usr.sbin.kopano-server: allow (read only) on some proc
      entries for new features in 8.5.2
  * Added Changes:
    - kopano-libs.symbols: update symbols to 8.5.5 (can be dropped on next
      merge/sync)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 22 Mar 2018 12:14:24 +0100

kopanocore (8.5.4-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [820314e] New upstream version 8.5.4
  * [7b74a9a] rebuild patch queue from patch-queue branch
    Removing a patch which was needed after importing of 8.5.3 t get the
    binaries built from the source.

  [ Christian Ehrhardt ]
  * [b3994d1] fix apparmor deny on mprotect
  * [f228f92] fix apparmor deny due to disconnected path
  * [2d9e11b] allow (read only) on some proc entries for new features in 8.5.2

  [ Carsten Schoenert ]
  * [2a3da23] d/kopano-utils: adding man page to the install
  * [27fa323] kopano-libs.symbols: update symbols to 8.5.4

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 05 Mar 2018 18:10:05 +0100

kopanocore (8.5.3-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [23de50a] New upstream version 8.5.3
  * [6dfed86] rebuild patch queue from patch-queue branch
  * [794ad2e] kopano-libs.symbols: update symbols to 8.5.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Mar 2018 20:39:10 +0100

kopanocore (8.5.2-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - allow to read (file_mprotect) for kopano-server
    - allow server to reach mysql.sock (follow disconnects)
  * Dropped Changes (in Debian or no more needed):
    - allow to read (file_mprotect) for kopano-dagent
    - allow kopano_userscripts to reach mysql.sock (follow disconnects)
    - allow kopano_dagent to reach mysql.sock (follow disconnects)
    - allow kopano_search to reach mysql.sock (follow disconnects)
    - allow dagent to reach kopano server socket
    - allow to create /var/lib/kopano/attachments
    - debian/apparmor/usr.sbin.kopano-server: use @{multiarch} instead of
      a wrongly hard-coded arch string.
    - debian/kopano-server.kopano-server.service: chown the subdirectory.
    - debian/kopano-server.dirs: create /var/lib/kopano/attachments, not just
      /var/lib/kopano.
    - d/php-mapi.php: update file paths for PHP7.1
    - d/control, d/rules: bump build-depends to PHP 7.1.
    - debian/php-mapi* renamed to debian/php7.1-mapi* (as it was before)
    - debian/control: changed name back to php7.1-mapi
    - python files were not correctly installed
      - debian/rules: add python2 to dh call to correctly render pyc files
      - debian/control: add ${python:Depends} to all packages shiping python
        files
      - add all called dh addons as build depends
  * Added Changes:
    - d/control: add a transitional package for the php7.1-mapi to
      php-mapi rename (can be dropped >18.04) (LP: #1733572).
    - d/apparmor/usr.sbin.kopano-server: allow (read only) on some proc
      entries for new features in 8.5.2

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 27 Feb 2018 14:12:30 +0100

kopanocore (8.5.2-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [dc2050f] d/watch: mangle also trailing dot sign
    A small needed adjustment to the watch files, without this the version gets
    a trailing dot appended and uscan will find always a (faked) higher
    version.
  * [2b6b5a1] New upstream version 8.5.2
  * [9cb0fb6] debian/rules: remove '--parallel' on dh $@
    No need to add '--parallel' into the main default target since we are
    using debhelper 10.
  * [ecd2b00] kopano-libs.symbols: update symbols to 8.5.2
  * [17f530c] lintian: adding additional override for kopano-libs
    Ignore the warning about the not matching soname for the package name.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Feb 2018 20:20:35 +0100

kopanocore (8.5.0-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [46d25ff] New upstream version 8.5.0
    Upstream version 8.5.0 has changes to getting successful built with
    libical3. (Closes: #883957)
  * [0006cb3] kopano-libs.symbols: update symbols to 8.5.0
  * [5df0116] Build-Depends: use php-dev instead of php7.0-dev
    We previously wanted to use PHP7.0, now that PHP7.2 has entered unstable
    and the kopanocore source is able to work also with PHP7.2 we can switch
    to virtual package php-dev. (Closes: #881010)
  * [309dc85] debian/rules: tuning the build rules a bit for using PHP7.2
    Make the build environment more flexible so we don't need to change PHP
    related versions later in various places and use instead variables for that.
  * [64f8cfb] php-mapi.php: use the provided strings from d/rules
    Make that sequencer file use the variables from above commit.

  <cherry-picked from Ubuntu>
  [ Steve Langasek ]
  * [dcddfd7] apparmor: make .so includes follow multiarch paths
  * [3acae51] debian/kopano-server.dirs: create /var/lib/kopano/attachments,
    not just /var/lib/kopano
  * [279055d] debian/kopano-server.kopano-server.service: chown the subdirectory

  <cherry-picked from Ubuntu>
  [ Christian Ehrhardt ]
  * [138b4b4] allow kopano_userscripts to reach mysql.sock (follow disconnects)
  * [2f66b8e] allow dagent to follow disconnect for mysql
  * [0f4c12a] allow search to follow disconnect for mysql
  * [b61b5b5] apparmor: allow kopano-dagent
  * [f7cbdcd] allow dagent to reach kopano server socket (Closes: #882496)

  [ Carsten Schoenert ]
  * [48c34c7] kopano-search: remove magic.py before install

