=== debian/control ===
Source: kopanocore
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
 Matthias Geerdsen <matthias@vorlons.info>,
 Mark Dufour <m.dufour@kopano.com>,
 Guido Günther <agx@sigxcpu.org>
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1:1.9),
 binutils (>= 2.12.90.0.9),
 bison,
 debhelper (>= 10.8~),
 default-libmysqlclient-dev,
 dh-apparmor,
 dh-exec,
 dh-php,
 dpkg-dev (>= 1.16.1~),
 flex,
 gettext,
 gsoap (>= 2.8.49),
 libcurl4-openssl-dev,
 libgsoap-dev (>= 2.8.49),
 libical-dev,
 libicu-dev,
 libkrb5-dev,
 libldap2-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpam0g-dev,
 libssl-dev,
 libtool (>= 1.5),
 libvmime-dev (>= 0.9.2-4),
 libxml2-dev,
 m4,
 php-dev,
 pkg-config (>= 0.18),
 python-dev,
 swig,
 uuid-dev,
 xmlto,
 zlib1g-dev,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/giraffe-team/kopanocore.git
Vcs-Browser: https://salsa.debian.org/giraffe-team/kopanocore
Homepage: https://download.kopano.io/community/

Package: kopano-libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Complete and feature rich groupware solution - Free/Busy library
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the shared libraries of server and client.

Package: kopano-core
Architecture: all
Depends:
 ${misc:Depends},
 kopano-backup (>= ${source:Version}),
 kopano-dagent (>= ${source:Version}),
 kopano-gateway (>= ${source:Version}),
 kopano-ical (>= ${source:Version}),
 kopano-monitor (>= ${source:Version}),
 kopano-search (>= ${source:Version}),
 kopano-server (>= ${source:Version}),
 kopano-spooler (>= ${source:Version}),
 kopano-utils (>= ${source:Version}),
Suggests: kopano-webapp
Description: Metapackage to install the Kopano Core stack
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. By install of the additional package
 kopano-webapp it also features a modern web interface.
 .
 This metapackage contains the dependencies to pull in all important parts of
 Kopano Core.

Package: kopano-archiver
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (>= ${source:Version}),
Description: Complete and feature rich groupware solution - archiver
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the archiver.

Package: kopano-backup
Architecture: all
Depends:
 ${misc:Depends},
 kopano-common (>= ${source:Version}),
 python,
 python-dateutil,
 python-kopano (>= ${source:Version}),
Description: Complete and feature rich groupware solution - backup
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the backup facilities.

Package: kopano-common
Architecture: any
Depends:
 ${misc:Depends},
 adduser,
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - common files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains some files common to all packages.

Package: kopano-contacts
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 locales,
Description: Complete and feature rich groupware solution - contact mapi provider
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides adding contact folders in the addressbook.

Package: kopano-dev
Conflicts: libmapi-dev
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-libs (= ${binary:Version}),
Description: C++ Development files and libraries for Kopano Core
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides development files to create programs for use with Kopano
 Core.

Package: kopano-dagent
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 php-mapi (= ${binary:Version}),
 php-cli,
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - delivery agent
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email delivery agent that delivers incoming
 email from you SMTP server to the Kopano server.

Package: kopano-gateway
Architecture: any
Suggests: python-mapi
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - POP3 and IMAP gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the POP3 and IMAP protocols.

Package: kopano-ical
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - CalDAV and CalDAV gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the CalDAV and CardDAV protocols.

Package: kopano-l10n
Architecture: all
Section: localization
Depends:
 ${misc:Depends},
 locales,
Description: Complete and feature rich groupware solution - l10n files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the translations in several languages.

Package: kopano-monitor
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 php-mapi (= ${binary:Version}),
 php-cli,
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - quota monitor
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the quota monitor that checks stores for total usage
 and alerts users by email.

Package: kopano-presence
Architecture: all
Depends:
 ${misc:Depends},
 kopano-common (>= ${binary:Version}),
 lsb-base (>= 3.0-6),
 python,
 python-flask,
 python-kopano (= ${binary:Version}),
 python-sleekxmpp,
Description: Complete and feature rich groupware solution - presence daemon
 A daemon for collecting and exporting user presence information across
 multiple protocols in a unified way.
 Supports XMPP and Spreed. Clients can both query the daemon with presence
 information (for example, the user is 'available' for XMPP and 'away' for
 Spreed) and update presence information (for example, make a user 'available'
 on Spreed). Queries and updates are performed with simple GET and PUT
 requests, respectively, using a simple (and identical) JSON format.

Package: kopano-search
Architecture: all
Depends:
 ${misc:Depends},
 catdoc,
 file,
 gawk,
 kopano-common (>= ${source:Version}),
 lsb-base (>= 3.0-6),
 poppler-utils,
 python,
 python-dateutil,
 python-kopano (>= ${source:Version}),
 python-magic,
 python-xapian,
 unzip,
 w3m,
 xsltproc,
Description: Complete and feature rich groupware solution - indexer
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the search indexer using xapian.

Package: kopano-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dbconfig-common,
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 mariadb-client | default-mysql-client | virtual-mysql-client,
Recommends: mariadb-server | default-mysql-server
Description: Complete and feature rich groupware solution - server component
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the core server component that connects to gateways
 (like the imap gateway) or the web gui connect to.

Package: kopano-spooler
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - email spooler
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email spooler that forwards emails from the
 Kopano server to an SMTP server.

Package: kopano-utils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python,
Description: Complete and feature rich groupware solution - admin tools
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the command line tools for server administration.

Package: python-mapi
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 python,
Description: Complete and feature rich groupware solution - Python MAPI bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create Python programs which use MAPI
 calls to interact with Kopano.

Package: python-kopano
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 python,
 python-mapi,
Description: Complete and feature rich groupware solution - Python bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create Python programs which access the
 Kopano server using a higher level abstraction than python-mapi
 provides.

Package: php-mapi
Architecture: any
Section: php
Replaces: php7.1-mapi (<< 8.5.2-1ubuntu1~)
Breaks: php7.1-mapi (<< 8.5.2-1ubuntu1~)
