=== debian/tests/control ===
Tests: smoke
Depends: python-nose
Restrictions: allow-stderr,
 needs-root,
